For the complete documentation index, see llms.txt. This page is also available as Markdown.

Variant Value Listing

Manage variant attribute value listings and their sales-channel assignments, including creating, retrieving, updating, partially updating, and deleting listings.

Listings für Variantenattributwerte

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*

Variantenattributwert-Listing

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

get/erp/variant/value-listing/{id}
GET /erp/variant/value-listing/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "variantValueRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Variantenattributwert-Listing

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

Responses
200

successful operation

*/*

Variantenattributwert-Listing

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

put/erp/variant/value-listing/{id}
PUT /erp/variant/value-listing/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 477

{
  "version": "text",
  "info": {},
  "id": "text",
  "variantValueRef": {
    "id": "text"
  },
  "salesChannelRef": {
    "id": "text"
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "variantValueRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/variant/value-listing/{id}
DELETE /erp/variant/value-listing/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body

Variantenattributwert-Listing

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

Responses
200

successful operation

*/*

Variantenattributwert-Listing

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

post/erp/variant/value-listing
POST /erp/variant/value-listing HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 477

{
  "version": "text",
  "info": {},
  "id": "text",
  "variantValueRef": {
    "id": "text"
  },
  "salesChannelRef": {
    "id": "text"
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "variantValueRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Partial update existing listing

patch
Path parameters
listingIdinteger · int64Required

Listing-ID

Body

Search-Dialog

emptybooleanOptional
arraybooleanOptional
nullbooleanOptional
objectbooleanOptional
floatbooleanOptional
missingNodebooleanOptional
nodeTypestring · enumOptionalPossible values:
valueNodebooleanOptional
containerbooleanOptional
integralNumberbooleanOptional
floatingPointNumberbooleanOptional
stringbooleanOptional
pojobooleanOptional
shortbooleanOptional
intbooleanOptional
longbooleanOptional
doublebooleanOptional
bigDecimalbooleanOptional
bigIntegerbooleanOptional
textualbooleanOptionalDeprecated
booleanbooleanOptional
binarybooleanOptional
numberbooleanOptional
embeddedValuebooleanOptional
Responses
200

OK

*/*

Variantenattributwert-Listing

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

patch/erp/variant/value-listing/{listingId}
PATCH /erp/variant/value-listing/{listingId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 363

{
  "empty": true,
  "array": true,
  "null": true,
  "object": true,
  "float": true,
  "missingNode": true,
  "nodeType": "ARRAY",
  "valueNode": true,
  "container": true,
  "integralNumber": true,
  "floatingPointNumber": true,
  "string": true,
  "pojo": true,
  "short": true,
  "int": true,
  "long": true,
  "double": true,
  "bigDecimal": true,
  "bigInteger": true,
  "boolean": true,
  "binary": true,
  "number": true,
  "embeddedValue": true
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "variantValueRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "custom": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}

Last updated

Was this helpful?